Share via


Long Term Retention Managed Instance Backups - Get

Gets a long term retention backup for a managed database.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Sql/locations/{locationName}/longTermRetentionManagedInstances/{managedInstanceName}/longTermRetentionDatabases/{databaseName}/longTermRetentionManagedInstanceBackups/{backupName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
backupName
path True

string

The backup name.

databaseName
path True

string

The name of the managed database.

locationName
path True

string

The location of the database.

managedInstanceName
path True

string

The name of the managed instance.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ManagedInstanceLongTermRetentionBackup

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get the long term retention backup of a managed database.

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionDatabases/testDatabase/longTermRetentionManagedInstanceBackups/55555555-6666-7777-8888-999999999999;131637960820000000;Archive?api-version=2025-01-01

Sample response

{
  "name": "55555555-6666-7777-8888-999999999999;131637960820000000;Archive",
  "type": "Microsoft.Sql/locations/longTermRetentionManagedInstances/longTermRetentionDatabases/longTermRetentionManagedInstanceBackups",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Sql/Locations/japaneast/longTermRetentionManagedInstances/testInstance/longTermRetentionDatabases/testDatabase/longTermRetentionManagedInstanceBackups/55555555-6666-7777-8888-999999999999;131637960820000000;Archive",
  "properties": {
    "backupStorageAccessTier": "Archive",
    "backupStorageRedundancy": "Geo",
    "backupTime": "2018-08-23T08:00:00Z",
    "databaseDeletionTime": null,
    "databaseName": "testDatabase",
    "managedInstanceCreateTime": "2017-09-01T08:00:00Z",
    "managedInstanceName": "testInstance"
  }
}

Definitions

Name Description
BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

BackupStorageRedundancy

The storage account type used to store backups for this database.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ManagedInstanceLongTermRetentionBackup

A long term retention backup for a managed database.

systemData

Metadata pertaining to creation and last modification of the resource.

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

Value Description
Hot

Hot

Archive

Archive

BackupStorageRedundancy

The storage account type used to store backups for this database.

Value Description
Geo

Geo

Local

Local

Zone

Zone

GeoZone

GeoZone

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ManagedInstanceLongTermRetentionBackup

A long term retention backup for a managed database.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.backupExpirationTime

string (date-time)

The time the long term retention backup will expire.

properties.backupStorageAccessTier

BackupStorageAccessTier

The BackupStorageAccessTier for the LTR backup

properties.backupStorageRedundancy

BackupStorageRedundancy

The storage redundancy type of the backup

properties.backupTime

string (date-time)

The time the backup was taken

properties.databaseDeletionTime

string (date-time)

The delete time of the database

properties.databaseName

string

The name of the database the backup belong to

properties.managedInstanceCreateTime

string (date-time)

The create time of the instance.

properties.managedInstanceName

string

The managed instance that the backup database belongs to.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.